import { B as BaseEvent } from "./index.js";
var Keys = /* @__PURE__ */ ((Keys2) => {
  Keys2["change"] = "change";
  return Keys2;
})(Keys || {});
class AccountDeletionEventImpl extends BaseEvent {
  constructor() {
    super(...arguments);
    this._ = Keys;
  }
  change() {
    this.emit("change", void 0);
  }
}
const AccountDeletionEvent = new AccountDeletionEventImpl();
class AccountDeletionSuccessPageLockImpl {
  constructor() {
    this.locked = false;
  }
  peek() {
    return this.locked;
  }
  lock() {
    const current = this.peek();
    this.locked = true;
    if (this.locked !== current) {
      AccountDeletionEvent.change();
    }
  }
  unlock() {
    const current = this.peek();
    this.locked = false;
    if (this.locked !== current) {
      AccountDeletionEvent.change();
    }
  }
}
const AccountDeletionSuccessPageLock = new AccountDeletionSuccessPageLockImpl();
export { AccountDeletionSuccessPageLock as A };
